org.apache.velocity.tools.config

## Class NullKeyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.velocity.tools.config.ConfigurationException
        - - org.apache.velocity.tools.config.NullKeyException

All Implemented Interfaces:
  Serializable

    public class NullKeyException
    extends ConfigurationException

Version:
  $Id: NullKeyException.java 511959 2007-02-26 19:24:39Z nbubna $
Author:
  Nathan Bubna
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NullKeyException(Data data)`
`NullKeyException(ToolConfiguration tool)`

### Method Summary

### Methods inherited from class org.apache.velocity.tools.config.ConfigurationException

`getSource`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NullKeyException

    public NullKeyException(Data data)

#### NullKeyException

    public NullKeyException(ToolConfiguration tool)